Rt 3.0.x to 3.4.4

Hi, I was wondering if it is possible to upgrade the Mysql database from
rt 3.0.9 to 3.4.4? I see that rt-setup-database doesn’t have a schema
upgrade in etc/upgrades for a version prior to 3.1.x. I just get errors
trying to create a new ticket with rt now.

thanks…

Justin Zygmont wrote:

Hi, I was wondering if it is possible to upgrade the Mysql database
from rt 3.0.9 to 3.4.4? I see that rt-setup-database doesn’t have a
schema upgrade in etc/upgrades for a version prior to 3.1.x. I just
get errors trying to create a new ticket with rt now.

Did you read the README?
For each item in that directory whose name is greater than
your previously installed RT version, run:
/opt/rt3/sbin/rt-setup-database --action schema
–datadir etc/upgrade/
/opt/rt3/sbin/rt-setup-database --action acl
–datadir etc/upgrade/
/opt/rt3/sbin/rt-setup-database --action insert
–datadir etc/upgrade/

thanks…


http://lists.bestpractical.com/cgi-bin/mailman/listinfo/rt-users

Be sure to check out the RT Wiki at http://wiki.bestpractical.com

Download a free sample chapter of RT Essentials from O’Reilly Media at
http://rtbook.bestpractical.com

WE’RE COMING TO YOUR TOWN SOON - RT Training in Amsterdam, Boston and
San Francisco - Find out more at
http://bestpractical.com/services/training.html

Drew Barnes
Applications Analyst
Raymond Walters College
University of Cincinnati